%global momorel 1
Summary: Fluxbox - an X11 Window manager
Name: fluxbox
Version: 0.9.9
Release: %{momorel}m
Group:  User Interface/Desktops
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://fluxbox.sourceforge.net/
Provides: boxes_WM
BuildPreReq: XFree86-devel >= 4.3.0
BuildPreReq: freetype2-devel
BuildPreReq: fontconfig-devel
BuildPreReq: expat-devel
BuildPreReq: libstdc++-devel
Requires: XFree86
Requires: freetype2
Requires: fontconfig
Requires: expat
Requires: libstdc++

Source0: http://aleron.dl.sourceforge.net/sourceforge/fluxbox/fluxbox-%{version}.tar.bz2
NoSource: 0
Source1: session.fluxbox
Source2: solidbg-menu
Source3: momonga-menu

Patch0: fluxbox-0.9.7-AA.patch
Patch1: fluxbox-0.9.7-menu.patch
Patch2: fluxbox-0.9.7-fbsetbg.patch
Patch3: fluxbox-0.9.8-rootmenu-pos.patch
Patch4: fbgm.diff

%description
Fluxbox is yet another windowmanager for X.
It's based on the Blackbox 0.61.1 code. Fluxbox looks like blackbox and
handles styles, colors, window placement and similar thing exactly like
blackbox (100% theme/style compability).

So what's the difference between fluxbox and blackbox then?
The answer is: LOTS!
Here is a list of features that fluxbox already has, or is in the works...

%prep
rm -rf   %{buildroot}

%setup -q
%patch0 -p1 -b .AA
%patch4 -p1 -b .generate-menu
%patch1 -p1 -b .menu
%patch2 -p1 -b .fbsetbg
%patch3 -p1 -b .rootmenu-pos

#chmod +x data/generate_menu.ja_JP
#find . -perm 0000 -exec chmod +r {} \;
mv doc/bsetroot.1 doc/fsetroot.1
perl -p -i -e "s/bset/fset/" doc/Makefile.am doc/Makefile.in doc/fsetroot.1 data/styles/*
#(cd nls;
#  for i in `ls */Makefile.am | cut -d '/' -f 1`
#  do
#    perl -p -i -e "s,\\$\(gencat_cmd\),LANG=$i \\$\(gencat_cmd\)," $i/Makefile.am
#  done
#)
#cp %{SOURCE7} .

%build
libtoolize -c -f
aclocal -I .
automake
autoconf
%configure --enable-kde --bindir=/usr/X11R6/bin --mandir=/usr/X11R6/man
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}/usr/X11R6/bin \
	     mandir=%{buildroot}/usr/X11R6/man

mkdir -p %{buildroot}/etc/X11/xinit/session.d
install -m 644 %{SOURCE1} %{buildroot}/etc/X11/xinit/session.d/fluxbox

mv %{buildroot}/usr/X11R6/bin/bsetroot %{buildroot}/usr/X11R6/bin/fsetroot
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/fluxbox/solidbg-menu
install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/fluxbox/momonga-menu

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/X11R6/bin/*
/usr/X11R6/man/*/*
%doc AUTHORS COPYING ChangeLog*
%doc INSTALL NEWS README TODO
%doc data/README.menu data/README.style
%{_datadir}/fluxbox
%config (missingok) /etc/X11/xinit/session.d/fluxbox

%changelog
* Sat Jun 12 2004 kourin <kourin@momonga-linux.org>
- (0.9.9-1m)
- ver up

* Mon Jan 19 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.8-2m)
- refine menukey patch
- add rootmenu-pos patch

* Fri Jan 16 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.8-1m)
- ver up

* Fri Jan  9 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.7-4m)
- add windowmenu patch
- add menukey-ex patch

* Wed Jan  7 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.7-3m)
- refine menukey patch

* Mon Jan  5 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.7-2m)
- add geom patch
- add menukey patch

* Sun Jan  4 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.7-1m)
- ver up

* Tue Jan  1 2004 Junichiro Kita <kita@momonga-linux.org>
- (0.9.6-1m)
- ver up

* Mon Jul 21 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.14-7m)
- remove no-utf.patch. we already have Xutf* functions

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.14-6m)
- rebuild against for XFree86-4.3.0

* Tue Mar 18 2003 Junichiro Kita <kita@momonga-linux.org>
- (0.1.14-5m)
- hide menu before style is changed.

* Sat Mar 08 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.14-4m)
- re-add transient-loop.patch to fix a trouble 
- using Mozilla with XIM (OnTheSpot Style)

* Wed Dec 11 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.14-3m)
- apply grouping patch

* Tue Dec 10 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.14-2m)
- fix remember patch's bug.

* Tue Dec 10 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.14-1m)
- ver up

* Mon Dec  9 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.13-4m)
- fix in AA patch.(drawing tab text)

* Thu Dec  6 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.13-3m)
- apply famao's AA patch

* Thu Dec  5 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.13-2m)
- use Xft2
- AA mo OK desu.

* Mon Dec  2 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.13-1m)
- ver up

* Wed Oct 16 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.12-10m)
- apply famao's transient-loop patch

* Wed Oct  2 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.12-9m)
- apply unofficial remember patch

* Fri Sep 27 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.1.12-8m)
- modified fluxbox-generate_menu
- remove '-f' option (fluxbox-initbg,fluxbox-setbg)

* Wed Sep 25 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.1.12-7m)
- modified of background initialization

* Tue Sep 24 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.1.12-6m)
- I modified default menu for selectable background.

* Tue Sep 24 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.1.12-5m)
- a little modified default menu.

* Mon Sep 23 2002 Kenta MURATA <muraken2@nifty.com>
- (0.1.12-4m)
- default menu.

* Sat Sep 21 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.12-3m)
- fix calculation of position and geometry window size

* Mon Sep 16 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.12-2m)
- separete themes

* Sun Sep 15 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.12-1m)
- update to 0.1.12

* Tue Sep 10 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.11-5m)
- apply bugfix2.patch

* Tue Sep 10 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.11-4m)
- apply bugfix1.patch

* Sun Sep  8 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.11-3m)
- apply remember_final.patch

* Sat Sep  7 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.11-2m)
- apply workspace_edit.patch and iconic_sendto.patch

* Wed Sep  4 2002 Junichiro Kita <kita@momonga-linux.org>
- (0.1.11-1m)
- update to 0.1.11

* Mon Aug 12 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.1.10-6m)
- fix fluxbox-0.1.10-remember_final.patch

* Mon Aug 12 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.1.10-5m)
- apply fluxbox-0.1.10-remember_final.patch from Fluxbox-users-ML
  (see http://www.geocrawler.com/lists/3/SourceForge/18606/0/9260267/ )

* Mon Jul 22 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.1.10-4m)
- add momonga theme

* Fri Jul 19 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.1.10-3m)
- return of the famao's focus-patch

* Tue Jul 16 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.1.10-2m)
- fluxbox-generate_menu generates Japanese menu

* Sun Jul 14 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.1.10-1m)
- ver up

* Thu Jul 11 2002 Yasuhiro Takabayashi <kourin@fh.freeserve.ne.jp>
- (0.1.9-9m)
- apply fluxbox-0.1.9-transient.patch from Fluxbox-users-ML

* Tue Jun  4 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.1.9-8k)
- apply bugfix patch1 & 2

* Tue May 28 2002 Junichiro Kita <kita@kondara.org>
- (0.1.9-6k)
- menu bullets are shown even when highlighted

* Sun May 26 2002 Junichiro Kita <kita@kondara.org>
- (0.1.9-4k)
- keyboard menu

* Sat May 25 2002 Junichiro Kita <kita@kondara.org>
- (0.1.9-2k)
- ver up

* Wed May 22 2002 Junichiro Kita <kita@kondara.org>
- (0.1.8-20k)
- fixed strange japanese menu labels

* Sat May 18 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (0.1.8-18k)
- chmod 644 bomb_fractal style

* Thu May  9 2002 Junichiro Kita <kita@kondara.org>
- (0.1.8-16k)
- apply famao's focus patch
- remove kinput2 patch because it conflicts with focus patch.

* Fri May 03 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (0.1.8-14k)
- apply fluxbox-0.1.8-bugfix2.patch

* Mon Apr 29 2002 Junichiro Kita <kita@kondara.org>
- (0.1.8-12k)
- now you can operate menus by keyboard.

* Sat Apr 27 2002 Junichiro Kita <kita@kondara.org>
- (0.1.8-10k)
- apply fluxbox-0.1.8-bugfix1.patch
- remove some patch

* Thu Apr 25 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (0.1.8-8k)
- s/hogebox/boxes_WM/g

* Wed Apr 24 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (0.1.8-6k)
- Add Provides: hogebox

* Wed Apr 24 2002 Junichiro Kita <kita@kondara.org>
- (0.1.8-4k)
- irewasure: menu.ja_JP

* Tue Apr 23 2002 Junichiro Kita <kita@kondara.org>
- (0.1.8-2k)
- ver up.

* Wed Mar  6 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.1.7-8k)
- add new option: skipStuckWindows
- doc includes COPYING instead of LICENSE.

* Wed Mar  6 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (0.1.7-6k)
- mv 2 styles file form style to styles

* Wed Mar  6 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (0.1.7-4k)
- add some themes
- remove menu patch
- add KDE & GNOME support

* Tue Mar  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.1.7-2k)
- update to 0.1.7

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.1.6-12k)
- add BuildPreReq: autoconf >= 2.52-8k

* Fri Jan 25 2002 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.1.6-10k)
  ........

* Thu Jan 24 2002 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.1.6-8k)
  ....

* Thu Jan 17 2002 Shingo Akagaki <dora@kondara.org>
- (0.1.6-6k)
- autoconf 1.5

* Tue Jan 15 2002 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.1.6-4k)
  applied official patch
  export LANG at nls data building.

* Tue Jan 15 2002 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.1.6-2k)
  update to 0.1.6

* Thu Dec 27 2001 Tsutomu Yasuda <tom@kondara.org>
- (0.1.5-6k)
  mouse wheel supported

* Wed Dec 17 2001 Tsutomu Yasuda <tom@kondara.org>
- (0.1.5-2k)
  pakuri
